Status: Closed Start date: 10 Apr 2017

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: CoCoA-5 function: new Estimated time: 1.00 hour

Target version: CoCoA-5.2.0 spring 2017 Spent time: 1.10 hour

Description

Add IsCoprime for power-products (as in CoCoALib)

History

#1 - 10 Apr 2017 15:34 - John Abbott

Presumably the fn should actually be defined for pairs of RINGELEM from any TrueGCDDomain.

Maybe for polynomials there can be a special case if coeffs are in a field, and the polys comprise single terms.

Here are some possible calls which should probably work:

IsCoprime(2,3); --> arg type is INT here!

IsCoprime(x^2*y,z^3);

IsCoprime(x^2-1, x^3-1);

#2 - 10 Apr 2017 15:50 - Anna Maria Bigatti

- Status changed from New to Feedback

- % Done changed from 0 to 90

All done (for power-products).

This function (for power-products!) was already available in CoCoALib, so I just meant to bring it to CoCoA-5 to avoid pointless overhead of doing

gcd(t1,t2) = 1.

(If you want you may make another issue for the most general case)

#3 - 28 Apr 2017 19:21 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
